<template>
	<view>
		<customer-my-page v-if="roleType == 1" ref="customerMyPageRef"></customer-my-page>
		<freight-forwarder-my-page v-if="roleType == 2" ref="freightForwarderMyPageRef"></freight-forwarder-my-page>
		<driver-my-page v-if="roleType == 3" ref="driverMyRef"></driver-my-page>
		<tab-bar :current="1"></tab-bar>
	</view>
</template>

<script>
import customerMyPage from '@/pages/customer-page/customer-my/customer-my.vue';
import driverMyPage from '@/pages/driver-page/drvier-my/drvier-my.vue';
import freightForwarderMyPage from '@/pages/freight-forwarder-page/freightForwarder-my/freightForwarder-my.vue';

export default {
	components: {
		customerMyPage,
		driverMyPage,
		freightForwarderMyPage
	},
	onShow() {
		this.init();
	},
	data() {
		return {};
	},
	computed: {
		roleType() {
			return uni.getStorageSync('roleType');
		}
	},
	methods: {
		init() {
			switch (this.roleType) {
				case 1:
					this.$refs.customerMyPageRef.init();
					break;
				case 2:
					this.$refs.freightForwarderMyPageRef.init();
					break;
				case 3:
					this.$refs.driverMyRef.init();
				default:
					break;
			}
		}
	}
};
</script>

<style lang="scss" scoped></style>
